Bug 1259772 - Constant crashes when waking up screen during lock screen
Constant crashes when waking up screen during lock screen
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 09:58 EDT by Jonas Thiem
Modified: 2016-08-08 08:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:46:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Thiem 2015-09-03 09:58:49 EDT
Description of problem:
I get really frequent gdm crashes always when waking up the screen e.g. by touching the mouse during lock screen:

[207625.634185] gdm[8297]: segfault at 10 ip 00005560523b421a sp 00007ffcf3d4cee0 error 4 in gdm[556052394000+5d000]

Since it brings down the entire session, it's pretty annoying.

Version-Release number of selected component (if applicable):
GDM 3.16.2


How reproducible:
like 1 out of 3 times


Steps to Reproduce:
1. Plug in external screen (might not be required)
2. Start a Gnome session, then press SUPER+L at some point
3. Wait until screen has turned off
4. Touch mouse - wakes up and boom gdm crashes

Actual results:
GDM crashes

Expected results:
GDM doesn't crash

Additional info:
Comment 1 Jonas Thiem 2015-09-17 15:47:08 EDT
dmesg output:

[19493.138311] usb 2-1.2: new full-speed USB device number 3 using ehci-pci
[19493.224416] usb 2-1.2: New USB device found, idVendor=058f, idProduct=9254
[19493.224427] usb 2-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[19493.224433] usb 2-1.2: Product: Generic USB Hub
[19493.224438] usb 2-1.2: Manufacturer: ALCOR
[19493.227015] hub 2-1.2:1.0: USB hub found
[19493.227157] hub 2-1.2:1.0: 4 ports detected
[19493.490308] usb 2-1.2.1: new low-speed USB device number 4 using ehci-pci
[19493.573707] usb 2-1.2.1: New USB device found, idVendor=046d, idProduct=c050
[19493.573711] usb 2-1.2.1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[19493.573712] usb 2-1.2.1: Product: USB-PS/2 Optical Mouse
[19493.573714] usb 2-1.2.1: Manufacturer: Logitech
[19493.578722] input: Logitech USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.2/2-1.2.1/2-1.2.1:1.0/0003:046D:C050.0004/input/input21
[19493.580909] hid-generic 0003:046D:C050.0004: input,hidraw1: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:1d.0-1.2.1/input0
[19493.653345] usb 2-1.2.2: new low-speed USB device number 5 using ehci-pci
[19493.738203] usb 2-1.2.2: New USB device found, idVendor=04f2, idProduct=0833
[19493.738211] usb 2-1.2.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[19493.738215] usb 2-1.2.2: Product: USB Keyboard
[19493.738218] usb 2-1.2.2: Manufacturer: CHICONY
[19493.744294] input: CHICONY USB Keyboard as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.2/2-1.2.2/2-1.2.2:1.0/0003:04F2:0833.0005/input/input22
[19493.795039] hid-generic 0003:04F2:0833.0005: input,hidraw2: USB HID v1.11 Keyboard [CHICONY USB Keyboard] on usb-0000:00:1d.0-1.2.2/input0
[19493.804349] input: CHICONY USB Keyboard as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.2/2-1.2.2/2-1.2.2:1.1/0003:04F2:0833.0006/input/input23
[19493.856213] hid-generic 0003:04F2:0833.0006: input,hiddev0,hidraw3: USB HID v1.11 Device [CHICONY USB Keyboard] on usb-0000:00:1d.0-1.2.2/input1
[19495.230619] usb 2-1.2.3: new low-speed USB device number 6 using ehci-pci
[19495.312832] usb 2-1.2.3: New USB device found, idVendor=10d5, idProduct=55a2
[19495.312838] usb 2-1.2.3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[19495.312842] usb 2-1.2.3: Product: 2Port KVMSwicther
[19495.312844] usb 2-1.2.3: Manufacturer: No brand
[19495.312847] usb 2-1.2.3: SerialNumber: 1"²
[19495.320227] input: No brand 2Port KVMSwicther as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.2/2-1.2.3/2-1.2.3:1.0/0003:10D5:55A2.0007/input/input24
[19495.371149] hid-generic 0003:10D5:55A2.0007: input,hidraw4: USB HID v1.10 Keyboard [No brand 2Port KVMSwicther] on usb-0000:00:1d.0-1.2.3/input0
[19495.372199] usbhid 2-1.2.3:1.1: couldn't find an input interrupt endpoint
[20406.303537] show_signal_msg: 204 callbacks suppressed
[20406.303541] gdm[969]: segfault at 10 ip 0000560cc1b4521a sp 00007ffdb46098a0 error 4 in gdm[560cc1b25000+5d000]
Comment 2 Ray Strode [halfline] 2015-09-17 15:52:15 EDT
can you get a backtrace?

can you set Enable=true in the [debug] section of /etc/gdm/custom.conf , reboot, reproduce, and then attach the full output of sudo journalctl -b -a ?
Comment 3 Jonas Thiem 2015-11-30 14:40:36 EST
Is this something I can enable for a week or two while regularly using the laptop without producing gigabytes of logs?

I would really love to just reboot and reproduce it instantly as you suggested, but the bug is too sporadic to do that willingly... (It happens in intervals of daily to every 2-3 weeks) So it would be good if it was possible to run with the suggested option for quite a while until it happens again.
Comment 4 Fedora End Of Life 2016-07-19 13:46:23 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Jonas Thiem 2016-08-08 08:12:50 EDT
This seems to be gone with some recent gnome-shell or  X11 update (or whatever was responsible), I haven't seen it happening for a long time.

Note You need to log in before you can comment on or make changes to this bug.